FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Toggle_Button Class Reference

The toggle button is a push button that needs to be clicked once to toggle on, and one more time to toggle off. More...

`#include <Fl_Toggle_Button.H>`

Inheritance diagram for Fl_Toggle_Button:

List of all members.

## Public Member Functions
| Fl_Toggle_Button (int X, int Y, int W, int H, const char *l=0)
| Creates a new Fl_Toggle_Button widget using the given position, size, and label string.

## Detailed Description

The toggle button is a push button that needs to be clicked once to toggle on, and one more time to toggle off.

The Fl_Toggle_Button subclass displays the "on" state by drawing a pushed-in button.

Buttons generate callbacks when they are clicked by the user. You control exactly when and how by changing the values for type() and when().

## Constructor & Destructor Documentation

Fl_Toggle_Button::Fl_Toggle_Button | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

Creates a new Fl_Toggle_Button widget using the given position, size, and label string.

The inherited destructor deletes the toggle button.

The documentation for this class was generated from the following files:

- Fl_Toggle_Button.H
- Fl_Button.cxx